Name: activesoap
Version: 1.0
Summary: A high performance, lightweight, StAX based SOAP framework
Epoch: 0
License: Apache Software License 2.0
Url: http://xircles.codehaus.org/projects/activesoap

BuildArch: noarch
Group: Development/Java
Release: alt0.1
Source: activesoap-1.0-2jpp.cpio

%description
ActiveSOAP is a lightweight & easily embeddable REST and SOAP
stack based on StAX with support for WS-Addressing and WSIF.
ActiveSOAP uses StAX (the Standard API for pull parsing) to
implement the SOAP protocols and then it delegates to plugin
Handler objects for the heavy duty processing of the XML
payloads. This means that you only need to pay for what you
need; use fast pull based event parsing or full data binding
mechanisms like JAXB or XStream or DOMish APIs like XMLBeans
when they make sense.
You can use whatever XML marshalling and/or parsing tool you
like to process different messages or headers. The following
APIs are currently supported
* JAXB
* XMLBeans
* XStream
* StaX, SAX, DOM or TrAX
ActiveSOAP is currently used to provide WS-Notification support
in ServiceMix.
In addition to the core StAX processing of SOAP requests (client
and server side) ActiveSOAP provides support for WS-Addressing
and provides multiple WSIF providers.

%prep
cpio -idmu --quiet --no-absolute-filenames < %{SOURCE0}

%build
cpio --list < %{SOURCE0} | sed -e 's,^\.,,' > %name-list

%install
mkdir -p $RPM_BUILD_ROOT
for i in usr var etc; do
[ -d $i ] && mv $i $RPM_BUILD_ROOT/
done

%files -f %name-list

%changelog
* Mon Dec 24 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt0.1
- bootstrap pack of jars created with jppbootstrap script
- temporary package to sutisfy circular dependencies

